// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		BB2588B321F345FE006A5F18 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588B221F345FE006A5F18 /* AppDelegate.swift */; };
		BB2588B521F345FE006A5F18 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588B421F345FE006A5F18 /* ViewController.swift */; };
		BB2588B821F345FE006A5F18 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = BB2588B621F345FE006A5F18 /* Main.storyboard */; };
		BB2588BA21F345FE006A5F18 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = BB2588B921F345FE006A5F18 /* Assets.xcassets */; };
		BB2588BD21F345FE006A5F18 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = BB2588BB21F345FE006A5F18 /* LaunchScreen.storyboard */; };
		BB2588C821F345FE006A5F18 /* DecodingTest.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588C721F345FE006A5F18 /* DecodingTest.swift */; };
		BB2588D621F348C0006A5F18 /* TabBar.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588D521F348C0006A5F18 /* TabBar.swift */; };
		BB2588DA21F34C37006A5F18 /* TabBarViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588D821F34C37006A5F18 /* TabBarViewController.swift */; };
		BB2588DB21F34C37006A5F18 /* TabBarViewController.xib in Resources */ = {isa = PBXBuildFile; fileRef = BB2588D921F34C37006A5F18 /* TabBarViewController.xib */; };
		BB2588DE21F35D4A006A5F18 /* UIViewController+Embedding.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588DD21F35D4A006A5F18 /* UIViewController+Embedding.swift */; };
		BB2588E021F35DA4006A5F18 /* UIView+Anchor.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588DF21F35DA4006A5F18 /* UIView+Anchor.swift */; };
		BB2588E221F36308006A5F18 /* UIStackView+Subviews.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588E121F36308006A5F18 /* UIStackView+Subviews.swift */; };
		BB2588E621F37518006A5F18 /* ConversionCollectionViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588E521F37518006A5F18 /* ConversionCollectionViewController.swift */; };
		BB2588E921F3769D006A5F18 /* ConversionCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588E721F3769D006A5F18 /* ConversionCell.swift */; };
		BB2588EA21F3769D006A5F18 /* ConversionCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = BB2588E821F3769D006A5F18 /* ConversionCell.xib */; };
		BB2588EE21F3814B006A5F18 /* CollectionViewCellType.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588ED21F3814B006A5F18 /* CollectionViewCellType.swift */; };
		BB2588F021F38293006A5F18 /* UICollectionView+CellType.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588EF21F38293006A5F18 /* UICollectionView+CellType.swift */; };
		BB2588F321F390AD006A5F18 /* Conversion.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588F221F390AD006A5F18 /* Conversion.swift */; };
		BB2588F621F395E7006A5F18 /* WebService.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588F521F395E7006A5F18 /* WebService.swift */; };
		BB2588F821F3A2D8006A5F18 /* Rate.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588F721F3A2D8006A5F18 /* Rate.swift */; };
		BB2588FA21F3A9F4006A5F18 /* ConversionProvider.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588F921F3A9F4006A5F18 /* ConversionProvider.swift */; };
		BB2588FC21F3AA5B006A5F18 /* ConversionWebService.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588FB21F3AA5B006A5F18 /* ConversionWebService.swift */; };
		BB2588FE21F3ACAF006A5F18 /* ConversionModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588FD21F3ACAF006A5F18 /* ConversionModel.swift */; };
		BB25890021F3DB1E006A5F18 /* CollectionViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB2588FF21F3DB1E006A5F18 /* CollectionViewController.swift */; };
		BB25890421F4745B006A5F18 /* RateInfo.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB25890321F4745B006A5F18 /* RateInfo.swift */; };
		BB25890621F4754A006A5F18 /* Observable.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB25890521F4754A006A5F18 /* Observable.swift */; };
		BB25890A21F4BC0B006A5F18 /* RateManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB25890921F4BC0B006A5F18 /* RateManager.swift */; };
		BB25890E21F8F363006A5F18 /* KeyedDecodingContainer+Decode.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB25890D21F8F363006A5F18 /* KeyedDecodingContainer+Decode.swift */; };
		BB25891021F90FA4006A5F18 /* ConversionError.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB25890F21F90FA4006A5F18 /* ConversionError.swift */; };
		BB25891221FA37BF006A5F18 /* Defaults.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB25891121FA37BF006A5F18 /* Defaults.swift */; };
		BB25891521FA3CFF006A5F18 /* ErrorHandler.swift in Sources */ = {isa = PBXBuildFile; fileRef = BB25891421FA3CFF006A5F18 /* ErrorHandler.swift */; };
		BB25891A21FA4B07006A5F18 /* ConversionList.json in Resources */ = {isa = PBXBuildFile; fileRef = BB25891921FA4B07006A5F18 /* ConversionList.json */; };
		BB25891E21FA51ED006A5F18 /* ConversionListEmptyRates.json in Resources */ = {isa = PBXBuildFile; fileRef = BB25891D21FA500A006A5F18 /* ConversionListEmptyRates.json */; };
		BB25892021FA525D006A5F18 /* ConversionListEmpty.json in Resources */ = {isa = PBXBuildFile; fileRef = BB25891F21FA525D006A5F18 /* ConversionListEmpty.json */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		BB2588C421F345FE006A5F18 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = BB2588A721F345FE006A5F18 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = BB2588AE21F345FE006A5F18;
			remoteInfo = RevolutTest;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		BB2588AF21F345FE006A5F18 /* RevolutTest.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = RevolutTest.app; sourceTree = BUILT_PRODUCTS_DIR; };
		BB2588B221F345FE006A5F18 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		BB2588B421F345FE006A5F18 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		BB2588B721F345FE006A5F18 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		BB2588B921F345FE006A5F18 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		BB2588BC21F345FE006A5F18 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		BB2588BE21F345FE006A5F18 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		BB2588C321F345FE006A5F18 /* RevolutTestTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = RevolutTestTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		BB2588C721F345FE006A5F18 /* DecodingTest.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DecodingTest.swift; sourceTree = "<group>"; };
		BB2588C921F345FE006A5F18 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		BB2588D521F348C0006A5F18 /* TabBar.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabBar.swift; sourceTree = "<group>"; };
		BB2588D821F34C37006A5F18 /* TabBarViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabBarViewController.swift; sourceTree = "<group>"; };
		BB2588D921F34C37006A5F18 /* TabBarViewController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = TabBarViewController.xib; sourceTree = "<group>"; };
		BB2588DD21F35D4A006A5F18 /* UIViewController+Embedding.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIViewController+Embedding.swift"; sourceTree = "<group>"; };
		BB2588DF21F35DA4006A5F18 /* UIView+Anchor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIView+Anchor.swift"; sourceTree = "<group>"; };
		BB2588E121F36308006A5F18 /* UIStackView+Subviews.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIStackView+Subviews.swift"; sourceTree = "<group>"; };
		BB2588E521F37518006A5F18 /* ConversionCollectionViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConversionCollectionViewController.swift; sourceTree = "<group>"; };
		BB2588E721F3769D006A5F18 /* ConversionCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConversionCell.swift; sourceTree = "<group>"; };
		BB2588E821F3769D006A5F18 /* ConversionCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = ConversionCell.xib; sourceTree = "<group>"; };
		BB2588ED21F3814B006A5F18 /* CollectionViewCellType.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CollectionViewCellType.swift; sourceTree = "<group>"; };
		BB2588EF21F38293006A5F18 /* UICollectionView+CellType.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UICollectionView+CellType.swift"; sourceTree = "<group>"; };
		BB2588F221F390AD006A5F18 /* Conversion.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Conversion.swift; sourceTree = "<group>"; };
		BB2588F521F395E7006A5F18 /* WebService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WebService.swift; sourceTree = "<group>"; };
		BB2588F721F3A2D8006A5F18 /* Rate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Rate.swift; sourceTree = "<group>"; };
		BB2588F921F3A9F4006A5F18 /* ConversionProvider.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConversionProvider.swift; sourceTree = "<group>"; };
		BB2588FB21F3AA5B006A5F18 /* ConversionWebService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConversionWebService.swift; sourceTree = "<group>"; };
		BB2588FD21F3ACAF006A5F18 /* ConversionModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConversionModel.swift; sourceTree = "<group>"; };
		BB2588FF21F3DB1E006A5F18 /* CollectionViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CollectionViewController.swift; sourceTree = "<group>"; };
		BB25890321F4745B006A5F18 /* RateInfo.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RateInfo.swift; sourceTree = "<group>"; };
		BB25890521F4754A006A5F18 /* Observable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Observable.swift; sourceTree = "<group>"; };
		BB25890921F4BC0B006A5F18 /* RateManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RateManager.swift; sourceTree = "<group>"; };
		BB25890D21F8F363006A5F18 /* KeyedDecodingContainer+Decode.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "KeyedDecodingContainer+Decode.swift"; sourceTree = "<group>"; };
		BB25890F21F90FA4006A5F18 /* ConversionError.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConversionError.swift; sourceTree = "<group>"; };
		BB25891121FA37BF006A5F18 /* Defaults.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Defaults.swift; sourceTree = "<group>"; };
		BB25891421FA3CFF006A5F18 /* ErrorHandler.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ErrorHandler.swift; sourceTree = "<group>"; };
		BB25891921FA4B07006A5F18 /* ConversionList.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = ConversionList.json; sourceTree = "<group>"; };
		BB25891D21FA500A006A5F18 /* ConversionListEmptyRates.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = ConversionListEmptyRates.json; sourceTree = "<group>"; };
		BB25891F21FA525D006A5F18 /* ConversionListEmpty.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = ConversionListEmpty.json; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		BB2588AC21F345FE006A5F18 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BB2588C021F345FE006A5F18 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		BB2588A621F345FE006A5F18 = {
			isa = PBXGroup;
			children = (
				BB2588B121F345FE006A5F18 /* RevolutTest */,
				BB2588C621F345FE006A5F18 /* RevolutTestTests */,
				BB2588B021F345FE006A5F18 /* Products */,
			);
			sourceTree = "<group>";
		};
		BB2588B021F345FE006A5F18 /* Products */ = {
			isa = PBXGroup;
			children = (
				BB2588AF21F345FE006A5F18 /* RevolutTest.app */,
				BB2588C321F345FE006A5F18 /* RevolutTestTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		BB2588B121F345FE006A5F18 /* RevolutTest */ = {
			isa = PBXGroup;
			children = (
				BB2588DC21F35CDC006A5F18 /* Extensions */,
				BB2588F421F395D1006A5F18 /* Networking */,
				BB2588F121F3907A006A5F18 /* Model */,
				BB2588D321F34850006A5F18 /* UI */,
				BB2588B221F345FE006A5F18 /* AppDelegate.swift */,
				BB2588B421F345FE006A5F18 /* ViewController.swift */,
				BB2588ED21F3814B006A5F18 /* CollectionViewCellType.swift */,
				BB2588B621F345FE006A5F18 /* Main.storyboard */,
				BB2588B921F345FE006A5F18 /* Assets.xcassets */,
				BB2588BB21F345FE006A5F18 /* LaunchScreen.storyboard */,
				BB2588BE21F345FE006A5F18 /* Info.plist */,
				BB25891121FA37BF006A5F18 /* Defaults.swift */,
			);
			path = RevolutTest;
			sourceTree = "<group>";
		};
		BB2588C621F345FE006A5F18 /* RevolutTestTests */ = {
			isa = PBXGroup;
			children = (
				BB25891821FA4AD6006A5F18 /* Resources */,
				BB2588C721F345FE006A5F18 /* DecodingTest.swift */,
				BB2588C921F345FE006A5F18 /* Info.plist */,
			);
			path = RevolutTestTests;
			sourceTree = "<group>";
		};
		BB2588D321F34850006A5F18 /* UI */ = {
			isa = PBXGroup;
			children = (
				BB25891321FA3CEF006A5F18 /* Base */,
				BB2588D721F34C1D006A5F18 /* Components */,
				BB2588D421F348A4006A5F18 /* Controls */,
			);
			path = UI;
			sourceTree = "<group>";
		};
		BB2588D421F348A4006A5F18 /* Controls */ = {
			isa = PBXGroup;
			children = (
				BB2588D521F348C0006A5F18 /* TabBar.swift */,
			);
			path = Controls;
			sourceTree = "<group>";
		};
		BB2588D721F34C1D006A5F18 /* Components */ = {
			isa = PBXGroup;
			children = (
				BB2588EC21F3801F006A5F18 /* Conversion */,
				BB2588EB21F38005006A5F18 /* TabBarController */,
			);
			path = Components;
			sourceTree = "<group>";
		};
		BB2588DC21F35CDC006A5F18 /* Extensions */ = {
			isa = PBXGroup;
			children = (
				BB2588DD21F35D4A006A5F18 /* UIViewController+Embedding.swift */,
				BB2588DF21F35DA4006A5F18 /* UIView+Anchor.swift */,
				BB2588E121F36308006A5F18 /* UIStackView+Subviews.swift */,
				BB2588EF21F38293006A5F18 /* UICollectionView+CellType.swift */,
				BB25890D21F8F363006A5F18 /* KeyedDecodingContainer+Decode.swift */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		BB2588EB21F38005006A5F18 /* TabBarController */ = {
			isa = PBXGroup;
			children = (
				BB2588D821F34C37006A5F18 /* TabBarViewController.swift */,
				BB2588D921F34C37006A5F18 /* TabBarViewController.xib */,
			);
			path = TabBarController;
			sourceTree = "<group>";
		};
		BB2588EC21F3801F006A5F18 /* Conversion */ = {
			isa = PBXGroup;
			children = (
				BB2588FF21F3DB1E006A5F18 /* CollectionViewController.swift */,
				BB2588E521F37518006A5F18 /* ConversionCollectionViewController.swift */,
				BB2588E721F3769D006A5F18 /* ConversionCell.swift */,
				BB2588E821F3769D006A5F18 /* ConversionCell.xib */,
			);
			path = Conversion;
			sourceTree = "<group>";
		};
		BB2588F121F3907A006A5F18 /* Model */ = {
			isa = PBXGroup;
			children = (
				BB2588FD21F3ACAF006A5F18 /* ConversionModel.swift */,
				BB2588F221F390AD006A5F18 /* Conversion.swift */,
				BB2588F721F3A2D8006A5F18 /* Rate.swift */,
				BB25890521F4754A006A5F18 /* Observable.swift */,
				BB25890321F4745B006A5F18 /* RateInfo.swift */,
				BB25890921F4BC0B006A5F18 /* RateManager.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		BB2588F421F395D1006A5F18 /* Networking */ = {
			isa = PBXGroup;
			children = (
				BB2588F521F395E7006A5F18 /* WebService.swift */,
				BB2588F921F3A9F4006A5F18 /* ConversionProvider.swift */,
				BB2588FB21F3AA5B006A5F18 /* ConversionWebService.swift */,
				BB25890F21F90FA4006A5F18 /* ConversionError.swift */,
			);
			path = Networking;
			sourceTree = "<group>";
		};
		BB25891321FA3CEF006A5F18 /* Base */ = {
			isa = PBXGroup;
			children = (
				BB25891421FA3CFF006A5F18 /* ErrorHandler.swift */,
			);
			path = Base;
			sourceTree = "<group>";
		};
		BB25891821FA4AD6006A5F18 /* Resources */ = {
			isa = PBXGroup;
			children = (
				BB25891921FA4B07006A5F18 /* ConversionList.json */,
				BB25891D21FA500A006A5F18 /* ConversionListEmptyRates.json */,
				BB25891F21FA525D006A5F18 /* ConversionListEmpty.json */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		BB2588AE21F345FE006A5F18 /* RevolutTest */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = BB2588CC21F345FE006A5F18 /* Build configuration list for PBXNativeTarget "RevolutTest" */;
			buildPhases = (
				BB2588AB21F345FE006A5F18 /* Sources */,
				BB2588AC21F345FE006A5F18 /* Frameworks */,
				BB2588AD21F345FE006A5F18 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = RevolutTest;
			productName = RevolutTest;
			productReference = BB2588AF21F345FE006A5F18 /* RevolutTest.app */;
			productType = "com.apple.product-type.application";
		};
		BB2588C221F345FE006A5F18 /* RevolutTestTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = BB2588CF21F345FE006A5F18 /* Build configuration list for PBXNativeTarget "RevolutTestTests" */;
			buildPhases = (
				BB2588BF21F345FE006A5F18 /* Sources */,
				BB2588C021F345FE006A5F18 /* Frameworks */,
				BB2588C121F345FE006A5F18 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				BB2588C521F345FE006A5F18 /* PBXTargetDependency */,
			);
			name = RevolutTestTests;
			productName = RevolutTestTests;
			productReference = BB2588C321F345FE006A5F18 /* RevolutTestTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		BB2588A721F345FE006A5F18 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1010;
				LastUpgradeCheck = 1010;
				ORGANIZATIONNAME = "Mateusz Lamczyk";
				TargetAttributes = {
					BB2588AE21F345FE006A5F18 = {
						CreatedOnToolsVersion = 10.1;
					};
					BB2588C221F345FE006A5F18 = {
						CreatedOnToolsVersion = 10.1;
						TestTargetID = BB2588AE21F345FE006A5F18;
					};
				};
			};
			buildConfigurationList = BB2588AA21F345FE006A5F18 /* Build configuration list for PBXProject "RevolutTest" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = BB2588A621F345FE006A5F18;
			productRefGroup = BB2588B021F345FE006A5F18 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				BB2588AE21F345FE006A5F18 /* RevolutTest */,
				BB2588C221F345FE006A5F18 /* RevolutTestTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		BB2588AD21F345FE006A5F18 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BB2588DB21F34C37006A5F18 /* TabBarViewController.xib in Resources */,
				BB2588BD21F345FE006A5F18 /* LaunchScreen.storyboard in Resources */,
				BB2588EA21F3769D006A5F18 /* ConversionCell.xib in Resources */,
				BB2588BA21F345FE006A5F18 /* Assets.xcassets in Resources */,
				BB2588B821F345FE006A5F18 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BB2588C121F345FE006A5F18 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BB25892021FA525D006A5F18 /* ConversionListEmpty.json in Resources */,
				BB25891A21FA4B07006A5F18 /* ConversionList.json in Resources */,
				BB25891E21FA51ED006A5F18 /* ConversionListEmptyRates.json in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		BB2588AB21F345FE006A5F18 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BB25890021F3DB1E006A5F18 /* CollectionViewController.swift in Sources */,
				BB2588DA21F34C37006A5F18 /* TabBarViewController.swift in Sources */,
				BB2588F321F390AD006A5F18 /* Conversion.swift in Sources */,
				BB2588E221F36308006A5F18 /* UIStackView+Subviews.swift in Sources */,
				BB25890E21F8F363006A5F18 /* KeyedDecodingContainer+Decode.swift in Sources */,
				BB2588F821F3A2D8006A5F18 /* Rate.swift in Sources */,
				BB25890A21F4BC0B006A5F18 /* RateManager.swift in Sources */,
				BB2588D621F348C0006A5F18 /* TabBar.swift in Sources */,
				BB2588B521F345FE006A5F18 /* ViewController.swift in Sources */,
				BB25891221FA37BF006A5F18 /* Defaults.swift in Sources */,
				BB2588EE21F3814B006A5F18 /* CollectionViewCellType.swift in Sources */,
				BB2588E621F37518006A5F18 /* ConversionCollectionViewController.swift in Sources */,
				BB25891521FA3CFF006A5F18 /* ErrorHandler.swift in Sources */,
				BB2588F021F38293006A5F18 /* UICollectionView+CellType.swift in Sources */,
				BB2588B321F345FE006A5F18 /* AppDelegate.swift in Sources */,
				BB2588FC21F3AA5B006A5F18 /* ConversionWebService.swift in Sources */,
				BB2588F621F395E7006A5F18 /* WebService.swift in Sources */,
				BB2588FA21F3A9F4006A5F18 /* ConversionProvider.swift in Sources */,
				BB2588DE21F35D4A006A5F18 /* UIViewController+Embedding.swift in Sources */,
				BB2588FE21F3ACAF006A5F18 /* ConversionModel.swift in Sources */,
				BB25891021F90FA4006A5F18 /* ConversionError.swift in Sources */,
				BB2588E021F35DA4006A5F18 /* UIView+Anchor.swift in Sources */,
				BB25890621F4754A006A5F18 /* Observable.swift in Sources */,
				BB2588E921F3769D006A5F18 /* ConversionCell.swift in Sources */,
				BB25890421F4745B006A5F18 /* RateInfo.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		BB2588BF21F345FE006A5F18 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BB2588C821F345FE006A5F18 /* DecodingTest.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		BB2588C521F345FE006A5F18 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = BB2588AE21F345FE006A5F18 /* RevolutTest */;
			targetProxy = BB2588C421F345FE006A5F18 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		BB2588B621F345FE006A5F18 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				BB2588B721F345FE006A5F18 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		BB2588BB21F345FE006A5F18 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				BB2588BC21F345FE006A5F18 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		BB2588CA21F345FE006A5F18 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.1;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		BB2588CB21F345FE006A5F18 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.1;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		BB2588CD21F345FE006A5F18 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8B823YHEL3;
				INFOPLIST_FILE = RevolutTest/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = Lem.RevolutTest;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		BB2588CE21F345FE006A5F18 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8B823YHEL3;
				INFOPLIST_FILE = RevolutTest/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = Lem.RevolutTest;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
		BB2588D021F345FE006A5F18 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8B823YHEL3;
				INFOPLIST_FILE = RevolutTestTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = Lem.RevolutTestTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/RevolutTest.app/RevolutTest";
			};
			name = Debug;
		};
		BB2588D121F345FE006A5F18 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8B823YHEL3;
				INFOPLIST_FILE = RevolutTestTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = Lem.RevolutTestTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/RevolutTest.app/RevolutTest";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		BB2588AA21F345FE006A5F18 /* Build configuration list for PBXProject "RevolutTest" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BB2588CA21F345FE006A5F18 /* Debug */,
				BB2588CB21F345FE006A5F18 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		BB2588CC21F345FE006A5F18 /* Build configuration list for PBXNativeTarget "RevolutTest" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BB2588CD21F345FE006A5F18 /* Debug */,
				BB2588CE21F345FE006A5F18 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		BB2588CF21F345FE006A5F18 /* Build configuration list for PBXNativeTarget "RevolutTestTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				BB2588D021F345FE006A5F18 /* Debug */,
				BB2588D121F345FE006A5F18 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = BB2588A721F345FE006A5F18 /* Project object */;
}
